log4j.reset=true

log4j.rootCategory=info, stdout
log4j.logger.JadeReportLog=info, JadeReportLog, JadeReportLogHTML
log4j.logger.JadeReportLog.SOSVfsReportLog=info, JadeReportLog

log4j.additivity.JadeReportLog = false
log4j.additivity.JadeReportLog.SOSVfsReportLog = false

log4j.appender.stdout=com.sos.scheduler.JobSchedulerLog4JAppender
log4j.appender.stdout.layout=org.apache.log4j.EnhancedPatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{dd HH:mm:ss.SSS}{Europe/Berlin} [%-5p] (%F:%L) - %m%n

log4j.logger.org.hibernate=error
log4j.logger.com.mchange=error
log4j.logger.JobScheduler=fatal
log4j.logger.com.sos.scheduler.engine=info, JSLog
log4j.additivity.com.sos.scheduler.engine=false
log4j.logger.akka=warn, JSLog
log4j.logger.akka.actor.RepointableActorRef=error, JSLog
log4j.additivity.akka=false
log4j.logger.spray=error, JSLog
log4j.additivity.spray=false
log4j.logger.com.sos.jitl.classes.plugin=info, JSLog
log4j.additivity.com.sos.jitl.classes.plugin=false
log4j.logger.com.sos.jitl.classes.event=info, JSLog
log4j.additivity.com.sos.jitl.classes.event=false
log4j.logger.com.sos.jitl.inventory=info, JSLog
log4j.additivity.com.sos.jitl.inventory=false
log4j.logger.com.sos.jitl.reporting.plugin=info, JSLog
log4j.additivity.com.sos.jitl.reporting.plugin=false
log4j.logger.com.sos.jitl.reporting.model.report.FactModel=info, JSLog
log4j.additivity.com.sos.jitl.reporting.model.report.FactModel=false
log4j.logger.com.sos.jitl.notification.model.history.CheckHistoryModel=info, JSLog
log4j.additivity.com.sos.jitl.notification.model.history.CheckHistoryModel=false
log4j.logger.com.sos.jitl.dailyplan.db.DailyPlanAdjustment=info, JSLog
log4j.additivity.com.sos.jitl.dailyplan.db.DailyPlanAdjustment=false

log4j.appender.JSLog=org.apache.log4j.FileAppender
log4j.appender.JSLog.layout=org.apache.log4j.EnhancedPatternLayout
log4j.appender.JSLog.layout.ConversionPattern=%d{dd HH:mm:ss.SSS}{Europe/Berlin} %c [%-5p] - %m%n
log4j.appender.JSLog.File=logs/scheduler.log

# Configuration for an extra inventory debug log if necessary
# please change the name of the appender in above line 
# log4j.logger.com.sos.jitl.inventory=info, JSLog
# -> log4j.logger.com.sos.jitl.inventory=debug, Inventory
log4j.appender.Inventory=org.apache.log4j.FileAppender
log4j.appender.Inventory.layout=org.apache.log4j.EnhancedPatternLayout
log4j.appender.Inventory.layout.ConversionPattern=%d{dd HH:mm:ss.SSS}{Europe/Berlin} %c [%-5p] - %m%n
log4j.appender.Inventory.File=logs/inventory.log

# Configuration of JadeHTMLReportLog
log4j.appender.JadeReportLogHTML=org.apache.log4j.FileAppender
log4j.appender.JadeReportLogHTML.layout=com.sos.JSHelper.Logging.SOSHtmlLayout
log4j.appender.JadeReportLogHTML.File=${java.io.tmpdir}/jade-client.html
log4j.appender.JadeReportLogHTML.Append=false
log4j.appender.JadeReportLogHTML.layout.Title=JADE Report Log

# Configuration of JadeReportLog
log4j.appender.JadeReportLog=org.apache.log4j.RollingFileAppender
log4j.appender.JadeReportLog.File=${java.io.tmpdir}/jade-client.log
log4j.appender.JadeReportLog.MaxFileSize=5000KB
log4j.appender.JadeReportLog.MaxBackupIndex=30
log4j.appender.JadeReportLog.layout=org.apache.log4j.PatternLayout
log4j.appender.JadeReportLog.layout.ConversionPattern=%-21d{hh:mm:ss,SSS}%m %n

# see http://www.sos-berlin.com/doc/en/scheduler.doc/api/Log-javax.script.xml
log4j.logger.com.sos.scheduler.engine.jobapi.scripting=debug, scheduler
log4j.appender.scheduler=com.sos.scheduler.BufferedJobSchedulerLog4JAppender
log4j.appender.scheduler.layout=org.apache.log4j.PatternLayout
log4j.appender.scheduler.layout.ConversionPattern=%5p [%t] (%F:%L) - %m%n